import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetProvinceService = createAsyncThunk(
  "SLAUGHTER_GET_PROVINCE",
  async (_, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("iran_province/");
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const slaughterGetCitiesService = createAsyncThunk(
  "SLAUGHTER_GET_CITIES_OF_PROVINCE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("iran_city/?name=" + d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
